# DataExchange
TKSTEP
GeomToStep

# GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface Class Reference

This class implements the mapping between class
BSplineSurface from Geom and the class
BSplineSurfaceWithKnotsAndRationalBSplineSurface from
StepGeom which describes a
rational_bspline_Surface_with_knots from Prostep
.

`#include <GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface.hxx>`

Inheritance diagram for GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface (const Handle(Geom_BSplineSurface)&Bsplin)
Standard_EXPORT const Handle_StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface & | Value () const

## Private Attributes

Handle_StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface | theBSplineSurfaceWithKnotsAndRationalBSplineSurface

## Constructor & Destructor Documentation

Standard_EXPORT GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface::GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface | ( | const Handle(Geom_BSplineSurface)& | Bsplin | ) |

## Member Function Documentation

void GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from GeomToStep_Root.

void* GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from GeomToStep_Root.

Standard_EXPORT const Handle_StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface& GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface::Value | ( |  | ) | const

## Field Documentation

Handle_StepGeom_BSplineSurfaceWithKnotsAndRationalBSplineSurface GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface::theBSplineSurfaceWithKnotsAndRationalBSplineSurface `[private]`

The documentation for this class was generated from the following file:

- GeomToStep_MakeBSplineSurfaceWithKnotsAndRationalBSplineSurface.hxx